## mangler 1.2.2

=== jukebox/Makefile ===

all:
	cd ../libventrilo3 && make dev
	gcc -pthread -Wall -g -o mangler-jukebox -I../libventrilo3/ -I.. \
		`if pkg-config vorbisfile; then echo -n "-DHAVE_VORBIS"; fi` \
		`if pkg-config flac; then echo -n "-DHAVE_FLAC"; fi` \
		jukebox.c \
		../libventrilo3/libventrilo3.a \
		-lgsm \
		-lspeex \
		`if grep "HAVE_CELT 1" ../config.h >/dev/null; then pkg-config --cflags --libs celt; fi` \
		-lmpg123 \
		-lspeexdsp \
		`if pkg-config vorbisfile; then echo -n "-lvorbisfile"; fi` \
		`if pkg-config flac; then echo -n "-lFLAC"; fi` \
		-lm

=== sounds/Makefile ===

all: mangler-sounds.h

bin2h: bin2h.c
	gcc -Wall -o bin2h bin2h.c

mangler-sounds.h: bin2h channelenter.h channelleave.h login.h logout.h talkend.h talkstart.h
	cat channelenter.h channelleave.h login.h logout.h talkend.h talkstart.h > mangler-sounds.h
	
channelenter.h: bin2h channelenter.raw
	./bin2h channelenter.raw channelenter.h sound_channelenter

channelleave.h: bin2h channelleave.raw
	./bin2h channelleave.raw channelleave.h sound_channelleave

login.h: bin2h login.raw
	./bin2h login.raw login.h sound_login

logout.h: bin2h logout.raw
	./bin2h logout.raw logout.h sound_logout

talkend.h: bin2h talkend.raw
	./bin2h talkend.raw talkend.h sound_talkend

talkstart.h: bin2h talkstart.raw
	./bin2h talkstart.raw talkstart.h sound_talkstart

clean:
	rm -f mangler-sounds.h
	rm -f channelenter.h
	rm -f channelleave.h
	rm -f login.h
	rm -f logout.h
	rm -f talkend.h
	rm -f talkstart.h

distclean: clean
	rm -f bin2h

install: mangler-sounds.h

uninstall:

=== debian/changelog ===
mangler (1.2.2-2) unstable; urgency=low

  * Fix FTBFS on non-Linux archs by disabling ALSA support in Mangler.
    (Closes: #637270)
    - Change build dependency on libasound-dev to libasound2-dev [linux-any].
  * Add debian/mangler.menu file.
  * Remove unneeded libventrilo-dev dependency on ${shlibs:Depends}.
  * Remove redundant libventrilo3/codec-test/* entry in debian/copyright.
  * Update debhelper compat level from 7 to 8.
  * Add Vcs-* fields to debian/control.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Tue, 09 Aug 2011 21:03:25 -0700

mangler (1.2.2-1) unstable; urgency=low

  * Initial release (Closes: #609291)

 -- Vincent Cheng <Vincentc1208@gmail.com>  Sat, 08 Jan 2011 00:29:49 -0800

=== debian/control ===
Source: mangler
Section: net
Priority: optional
Maintainer: Vincent Cheng <Vincentc1208@gmail.com>
Build-Depends: debhelper (>= 8),
 autotools-dev,
 libgtkmm-2.4-dev,
 libpulse-dev,
 libgsm1-dev,
 libspeex-dev,
 librsvg2-common,
 libasound2-dev [linux-any],
 libespeak-dev,
 libusb-dev,
 libg15daemon-client-dev,
 libg15-dev,
 libg15render-dev,
 libdbus-glib-1-dev,
 libxosd-dev,
 libcelt-dev
Standards-Version: 3.9.2
Homepage: http://www.mangler.org
Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/mangler/trunk
Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/deb-maint/mangler/trunk

Package: mangler
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libventrilo3-0 (= ${binary:Version})
Description: Ventrilo compatible client for Linux
 Mangler is an open source VOIP client capable of connecting to Ventrilo 3.x
 servers. It is capable of performing almost all standard user functionality
 found in a Windows Ventrilo client.

Package: libventrilo3-0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for communicating with Ventrilo servers
 libventrilo is a networking library for communicating with Ventrilo
 servers. It performs audio encoding/decoding, signal processing and network
 communications.

Package: libventrilo-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libventrilo3-0 (= ${binary:Version})
Description: library for communicating with Ventrilo servers (development)
 libventrilo is a networking library for communicating with Ventrilo
 servers. It performs audio encoding/decoding, signal processing and network
 communications.
 .
 This package contains the development headers.

=== debian/rules ===
#!/usr/bin/make -f

export LDFLAGS=-Wl,--as-needed

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog | \
			sed -rne 's,^Version: ([^-]+).*,\1,p')

%:
	dh $@ 

override_dh_auto_configure:
	# Disable ALSA support on non-Linux archs
	if [ $(DEB_HOST_ARCH_OS) = linux ]; then \
		dh_auto_configure; \
	else \
		dh_auto_configure -- --without-alsa; \
	fi

override_dh_auto_build:
	# Generate icons/mangler-icons.h
	cd icons/ && make mangler-icons.h

	# Generate src/manglerui.h
	cd src/ && echo -n "char ManglerUI[] = " > manglerui.h && \
	cat mangler.ui  | sed 's/"/\\"/g' | sed 's/^/"/' | \
	sed 's/$$/\\n"/' >> manglerui.h && echo ";" >> manglerui.h

	dh_auto_build

override_dh_auto_test:

get-orig-source:
	# Remove existing mangler directory and tarball, if existing
	rm -rf mangler-$(DEB_UPSTREAM_VERSION)
	rm -f mangler_$(DEB_UPSTREAM_VERSION).orig.tar.gz
	# Fetch latest upstream tarball
	uscan --noconf --force-download --download-current-version \
	--destdir=.
	# Unpack and remove tarball
	tar -xzf mangler-$(DEB_UPSTREAM_VERSION).tar.gz
	rm -f mangler-$(DEB_UPSTREAM_VERSION).tar.gz
	# Remove potentially non-DFSG-compliant (and other unwanted) files
	rm -rf mangler-$(DEB_UPSTREAM_VERSION)/debian/
	rm -rf mangler-$(DEB_UPSTREAM_VERSION)/rpm/
	rm -rf mangler-$(DEB_UPSTREAM_VERSION)/android/
	rm -rf mangler-$(DEB_UPSTREAM_VERSION)/iphone/
	rm -rf mangler-$(DEB_UPSTREAM_VERSION)/libventrilo3/codec-test/
	rm -rf mangler-$(DEB_UPSTREAM_VERSION)/icons/mangler-icons.h
	rm -rf mangler-$(DEB_UPSTREAM_VERSION)/src/manglerui.h
	# Repack tarball
	tar -czf mangler_$(DEB_UPSTREAM_VERSION).orig.tar.gz mangler-\
	$(DEB_UPSTREAM_VERSION)/

## mangler 1.2.3

=== debian/changelog ===
mangler (1.2.3-1) unstable; urgency=low

  * New upstream release.
    - Replace build-dep on libcelt-dev with libopus-dev. (Closes: #674244)
  * Enable multi-arch support for libventrilo packages.
    - Bump dh compat level from 8 to 9.
  * Run wrap-and-sort on files in debian/.
  * Manpage mangler.1 has been forwarded upstream, so remove copy in debian/.
  * Update Format header and e-mail addresses in debian/copyright.
  * Bump Standards version from 3.9.2 to 3.9.3, no changes required.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Sun, 27 May 2012 18:49:31 -0700

=== debian/control ===
Source: mangler
Section: net
Priority: optional
Maintainer: Vincent Cheng <Vincentc1208@gmail.com>
Build-Depends:
 autotools-dev,
 debhelper (>= 9),
 libasound2-dev [linux-any],
 libdbus-glib-1-dev,
 libespeak-dev,
 libg15-dev,
 libg15daemon-client-dev,
 libg15render-dev,
 libgsm1-dev,
 libgtkmm-2.4-dev,
 libopus-dev,
 libpulse-dev,
 librsvg2-common,
 libspeex-dev,
 libusb-dev,
 libxosd-dev
Standards-Version: 3.9.3
Homepage: http://www.mangler.org
Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/mangler/trunk
Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/deb-maint/mangler/trunk

Package: mangler
Architecture: any
Depends:
 libventrilo3-0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: Ventrilo compatible client for Linux
 Mangler is an open source VOIP client capable of connecting to Ventrilo 3.x
 servers. It is capable of performing almost all standard user functionality
 found in a Windows Ventrilo client.

Package: libventrilo3-0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for communicating with Ventrilo servers
 libventrilo is a networking library for communicating with Ventrilo
 servers. It performs audio encoding/decoding, signal processing and network
 communications.

Package: libventrilo-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libventrilo3-0 (= ${binary:Version}), ${misc:Depends}
Description: library for communicating with Ventrilo servers (development)
 libventrilo is a networking library for communicating with Ventrilo
 servers. It performs audio encoding/decoding, signal processing and network
 communications.
 .
 This package contains the development headers.

## mangler 1.2.4

=== debian/changelog ===
mangler (1.2.4-1) unstable; urgency=low

  * New upstream release.
  * Drop unneeded build-dep on libusb-dev.
  * Add Breaks+Replaces relationship for mangler << 1.2.2 to fix upgrade path
    from old .deb packages distributed upstream. (LP: #1008797, LP: #1009775)

 -- Vincent Cheng <Vincentc1208@gmail.com>  Sat, 16 Jun 2012 16:13:09 -0700

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,6 @@
  libpulse-dev,
  librsvg2-common,
  libspeex-dev,
- libusb-dev,
  libxosd-dev
 Standards-Version: 3.9.3
 Homepage: http://www.mangler.org
@@ -41,6 +40,8 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: mangler (<< 1.2.2-1)
+Replaces: mangler (<< 1.2.2-1)
 Description: library for communicating with Ventrilo servers
  libventrilo is a networking library for communicating with Ventrilo
  servers. It performs audio encoding/decoding, signal processing and network
@@ -51,6 +52,8 @@
 Architecture: any
 Multi-Arch: same
 Depends: libventrilo3-0 (= ${binary:Version}), ${misc:Depends}
+Breaks: mangler (<< 1.2.2-1)
+Replaces: mangler (<< 1.2.2-1)
 Description: library for communicating with Ventrilo servers (development)
  libventrilo is a networking library for communicating with Ventrilo
  servers. It performs audio encoding/decoding, signal processing and network

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-export LDFLAGS=-Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
 
 DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog | \

## mangler 1.2.5

=== icons/Makefile ===

all: mangler-icons.h

mangler-icons.h: black_circle.svg blue_circle.svg cyan_circle.svg green_circle.svg purple_circle.svg red_circle.svg yellow_circle.svg \
		 mangler_logo.svg \
		 user_icon_red.svg  user_icon_yellow.svg  user_icon_green.svg  user_icon_orange.svg \
		 tray_icon_blue.svg tray_icon_red.svg tray_icon_yellow.svg tray_icon_green.svg tray_icon_grey.svg tray_icon_purple.svg
	list=""
	for f in *.svg ; do \
		id=`echo $$f | perl -pe 's/^(.*)\..*$$/$$1/'`;  \
		list="$$list $$id $$f";  \
	done ; \
	gdk-pixbuf-csource --raw --build-list $$list > mangler-icons.h

clean:
	rm -f mangler-icons.h

distclean:
	rm -f mangler-icons.h

install: mangler-icons.h

uninstall:

=== jukebox/Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 		../libventrilo3/libventrilo3.a \
 		-lgsm \
 		-lspeex \
-		`if grep "HAVE_CELT 1" ../config.h >/dev/null; then pkg-config --cflags --libs celt; fi` \
+		`if grep -q "HAVE_OPUS 1" ../config.h; then pkg-config --cflags --libs opus; fi` \
 		-lmpg123 \
 		-lspeexdsp \
 		`if pkg-config vorbisfile; then echo -n "-lvorbisfile"; fi` \

=== sounds/Makefile ===
SOURCE_RAW=channelenter.raw channelleave.raw login.raw logout.raw talkend.raw talkstart.raw
OBJECT_RAW=$(filter %.h,$(SOURCE_RAW:.raw=.h))

all: mangler-sounds.h

bin2h: bin2h.o

mangler-sounds.h: $(OBJECT_RAW)
	cat $(OBJECT_RAW) > $@

%.h: %.raw bin2h
	./bin2h $< $@ $(shell echo $@ | sed -e 's/^/sound\_/' -e 's/\..*$$//')

clean:
	rm -f mangler-sounds.h $(OBJECT_RAW) *.o

distclean: clean
	rm -f bin2h

install: mangler-sounds.h

uninstall:

=== debian/changelog ===
mangler (1.2.5-3ubuntu1) xenial; urgency=medium

  * Fix string types to have mangler be able to connect to saved servers.
    (Thanks, Scott!) (LP: #1507232)

 -- Steve Kowalik <stevenk@ubuntu.com>  Sun, 27 Mar 2016 23:44:58 +1100

mangler (1.2.5-3) unstable; urgency=medium

  * Fix FTBFS due to stricter gcc checks for narrowing conversions. Thanks to
    William Panlener for the patch! (Closes: #805160)
  * Bump Standards version from 3.9.5 to 3.9.6, no changes required.
  * Remove debian/menu file as per tech-ctte decision in #741573.

 -- Vincent Cheng <vcheng@debian.org>  Sun, 20 Dec 2015 21:58:59 -0800

mangler (1.2.5-2) unstable; urgency=medium

  * Use dh-autoreconf. (Closes: #740650)
  * Bump Standards version from 3.9.4 to 3.9.5, no changes required.
  * Update email address.

 -- Vincent Cheng <vcheng@debian.org>  Wed, 19 Feb 2014 02:01:57 -0800

mangler (1.2.5-1) unstable; urgency=low

  * New upstream release.
  * Fix lintian tag vcs-field-not-canonical.
  * Bump Standards version from 3.9.3 to 3.9.4, no changes required.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Wed, 16 Jan 2013 20:04:47 -0800

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: mangler
 Section: net
 Priority: optional
-Maintainer: Vincent Cheng <Vincentc1208@gmail.com>
+Maintainer: Vincent Cheng <vcheng@debian.org>
 Build-Depends:
- autotools-dev,
  debhelper (>= 9),
+ dh-autoreconf,
  libasound2-dev [linux-any],
  libdbus-glib-1-dev,
  libespeak-dev,
@@ -18,10 +18,10 @@
  librsvg2-common,
  libspeex-dev,
  libxosd-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.6
 Homepage: http://www.mangler.org
-Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/mangler/trunk
-Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/deb-maint/mangler/trunk
+Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/mangler/trunk
+Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/mangler/trunk
 
 Package: mangler
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 			sed -rne 's,^Version: ([^-]+).*,\1,p')
 
 %:
-	dh $@ 
+	dh $@ --with autoreconf
 
 override_dh_auto_configure:
 	# Disable ALSA support on non-Linux archs

=== debian/watch ===
version=3
http://www.mangler.org/downloads/mangler-(\d.*)\.tar\.gz
